apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: camunda-camunda-prod-connectors
  namespace: camunda
  labels:
    app: camunda-platform
    app.kubernetes.io/instance: camunda
    app.kubernetes.io/name: camunda-prod
    app.kubernetes.io/part-of: camunda-platform
    release: metrics
spec:
  endpoints:
    - honorLabels: true
      interval: 10s
      path: /actuator/prometheus
      port: http
      relabelings:
        - action: replace
          targetLabel: cluster
          replacement: brusnika-prod
        - action: replace
          targetLabel: source_cluster
          replacement: brusnika-prod
  selector:
    matchLabels:
      app: camunda-platform
      app.kubernetes.io/component: connectors
---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: camunda-camunda-prod-identity
  namespace: camunda
  labels:
    app: camunda-platform
    app.kubernetes.io/instance: camunda
    app.kubernetes.io/name: camunda-prod
    app.kubernetes.io/part-of: camunda-platform
    release: metrics
spec:
  endpoints:
    - honorLabels: true
      interval: 10s
      path: /actuator/prometheus
      port: metrics
      relabelings:
        - action: replace
          targetLabel: cluster
          replacement: brusnika-prod
        - action: replace
          targetLabel: source_cluster
          replacement: brusnika-prod
  selector:
    matchLabels:
      app: camunda-platform
      app.kubernetes.io/component: identity
---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: camunda-camunda-prod-operate
  namespace: camunda
  labels:
    app: camunda-platform
    app.kubernetes.io/instance: camunda
    app.kubernetes.io/name: camunda-prod
    app.kubernetes.io/part-of: camunda-platform
    release: metrics
spec:
  endpoints:
    - honorLabels: true
      interval: 10s
      path: /actuator/prometheus
      port: management
      relabelings:
        - action: replace
          targetLabel: cluster
          replacement: brusnika-prod
        - action: replace
          targetLabel: source_cluster
          replacement: brusnika-prod
  selector:
    matchLabels:
      app: camunda-platform
      app.kubernetes.io/component: operate
---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: camunda-camunda-prod-optimize
  namespace: camunda
  labels:
    app: camunda-platform
    app.kubernetes.io/instance: camunda
    app.kubernetes.io/name: camunda-prod
    app.kubernetes.io/part-of: camunda-platform
    release: metrics
spec:
  endpoints:
    - honorLabels: true
      interval: 10s
      path: /actuator/prometheus
      port: management
      relabelings:
        - action: replace
          targetLabel: cluster
          replacement: brusnika-prod
        - action: replace
          targetLabel: source_cluster
          replacement: brusnika-prod
  selector:
    matchLabels:
      app: camunda-platform
      app.kubernetes.io/component: optimize
---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: camunda-camunda-prod-tasklist
  namespace: camunda
  labels:
    app: camunda-platform
    app.kubernetes.io/instance: camunda
    app.kubernetes.io/name: camunda-prod
    app.kubernetes.io/part-of: camunda-platform
    release: metrics
spec:
  endpoints:
    - honorLabels: true
      interval: 10s
      path: /actuator/prometheus
      port: management
      relabelings:
        - action: replace
          targetLabel: cluster
          replacement: brusnika-prod
        - action: replace
          targetLabel: source_cluster
          replacement: brusnika-prod
  selector:
    matchLabels:
      app: camunda-platform
      app.kubernetes.io/component: tasklist
---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: camunda-camunda-prod-zeebe
  namespace: camunda
  labels:
    app: camunda-platform
    app.kubernetes.io/instance: camunda
    app.kubernetes.io/name: camunda-prod
    app.kubernetes.io/part-of: camunda-platform
    release: metrics
spec:
  endpoints:
    - honorLabels: true
      interval: 10s
      path: /actuator/prometheus
      port: http
      relabelings:
        - action: replace
          targetLabel: cluster
          replacement: brusnika-prod
        - action: replace
          targetLabel: source_cluster
          replacement: brusnika-prod
  selector:
    matchLabels:
      app: camunda-platform
      app.kubernetes.io/component: zeebe-broker
---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: camunda-camunda-prod-zeebe-gateway
  namespace: camunda
  labels:
    app: camunda-platform
    app.kubernetes.io/instance: camunda
    app.kubernetes.io/name: camunda-prod
    app.kubernetes.io/part-of: camunda-platform
    release: metrics
spec:
  endpoints:
    - honorLabels: true
      interval: 10s
      path: /actuator/prometheus
      port: http
      relabelings:
        - action: replace
          targetLabel: cluster
          replacement: brusnika-prod
        - action: replace
          targetLabel: source_cluster
          replacement: brusnika-prod
  selector:
    matchLabels:
      app: camunda-platform
      app.kubernetes.io/component: zeebe-gateway
